import { OnInit } from '@angular/core';
import { ValidatorFn } from '@angular/forms';
import { ValidationRule } from '@laserfiche/lf-ui-components/internal-shared';
import { Observable } from 'rxjs';
import { DateTimeBaseFieldDirective } from '../base-field/datetime-base-field.directives';
import * as i0 from "@angular/core";
export declare class TimeFieldComponent extends DateTimeBaseFieldDirective implements OnInit {
    private timeDisplayFormat;
    private TIME_FIELDS_MUST_BE_IN_THE_FORMAT_0;
    ngOnInit(): Promise<void>;
    deserializeLfFieldValue(): string;
    serializeFieldFormControlValue(): string;
    getAdditionalValidatorsForFieldType(): ValidatorFn[];
    getValidationTextForFieldType(validationRuleName: ValidationRule): Observable<string> | undefined;
    private getTimeFormat;
    onTimeValueChangedAsync(): Promise<void>;
    onTimeTokenChosen(token: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimeFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TimeFieldComponent, "lf-time-field-component", never, {}, {}, never, never, false, never>;
}
